%Multi-precision MATLAB interface to FFTW -- Contents.
%
%  This package supports MATLAB with discrete fast Fourier
%  transforms for single, double and extended precision.
%
%  For more information, please refer to the core functions
%  xfftw, where x stands for single precision (s); double
%  precision (d); or extended precision (e) respectively.
%
%  See also the application notes in fftwComments.
%
%
%  Published under the GNU General Public License.
%  Refer to COPYRIGHT and COPYING in the source folder.
%
%  FFTW 3.0.1:
%
%     Frigo Matteo  2003
%
%     Massachusetts Institute of Technology, USA.
%
%  Interface:
%
%     Leutenegger Marcel  6.8.2005
%
%     Laboratoire d'Optique Biomdicale,
%     Ecole Polytechnique Fdrale de Lausanne,
%     1015 Lausanne, Switzerland.
%
help fftwContents
